﻿@model IEnumerable<RichmondDay_BackTest2.Person>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<div id="crud_section">
    <button class="btn btn-default" id="btn_create">Create</button>
    <button class="btn btn-default" id="btn_update">Update</button>
    <button id="btn_delete" class="btn btn-default" data-toggle="modal" data-target="#deleteModal">Delete</button>

        <div class="create_section" style="display:none">
            <input class="form-control form-control-sm" type="text" id="c_first_name" placeholder="First Name">
            <input class="form-control form-control-sm" type="text" id="c_last_name" placeholder="Last Name">
            <input class="form-control form-control-sm" type="text" id="c_email" placeholder="Email">
            <button class="btn btn-primary" id="btn_done_create">Done</button>
        </div>

        <div class="update_section" style="display:none">
            <span id="u_id"></span>
            <input class="form-control form-control-sm" type="text" id="u_first_name" placeholder="First Name">
            <input class="form-control form-control-sm" type="text" id="u_last_name" placeholder="Last Name">
            <input class="form-control form-control-sm" type="text" id="u_email" placeholder="Email">
            <button class="btn btn-primary" id="btn_done_update">Done</button>
        </div>
</div>

<table id="table" 
       data-search="true"
       data-height="460"
       data-toggle="table"
       data-click-to-select="true"
       data-pagination="true">
    <thead>
        <tr>
            <th data-field="selection" data-checkbox="true"></th>
            <th data-field="Id">ID</th>
            <th data-field="FirstName">First Name</th>
            <th data-field="LastName">Last Name</th>
            <th data-field="Email">Email</th>
        </tr>
    </thead>
</table>


<!-- Modal For Deleting People -->
<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body">
                Are you sure you want to end this person?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <button type="button" id="btn_confirm_delete" class="btn btn-primary"  data-dismiss="modal">Yes</button>
            </div>
        </div>
    </div>
</div>